Dialogflow API

Builds conversational interfaces (for example, chatbots, and voice-powered apps and devices).

Service: dialogflow.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoints and all URIs below are relative to these service endpoints:

  • https://dialogflow.googleapis.com
  • https://asia-northeast1-dialogflow.googleapis.com
  • https://australia-southeast1-dialogflow.googleapis.com
  • https://europe-west1-dialogflow.googleapis.com
  • https://europe-west2-dialogflow.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://dialogflow.googleapis.com
  • REST Resource: v2beta1.projects

    Methods
    deleteAgent DELETE /v2beta1/{parent=projects/*}/agent
    Deletes the specified agent.
    getAgent GET /v2beta1/{parent=projects/*}/agent
    Retrieves the specified agent.
    setAgent POST /v2beta1/{agent.parent=projects/*}/agent
    Creates/updates the specified agent.

    REST Resource: v2beta1.projects.agent

    Methods
    export POST /v2beta1/{parent=projects/*}/agent:export
    Exports the specified agent to a ZIP file.
    getFulfillment GET /v2beta1/{name=projects/*/agent/fulfillment}
    Retrieves the fulfillment.
    getValidationResult GET /v2beta1/{parent=projects/*}/agent/validationResult
    Gets agent validation result.
    import POST /v2beta1/{parent=projects/*}/agent:import
    Imports the specified agent from a ZIP file.
    restore POST /v2beta1/{parent=projects/*}/agent:restore
    Restores the specified agent from a ZIP file.
    search GET /v2beta1/{parent=projects/*}/agent:search
    Returns the list of agents.
    train POST /v2beta1/{parent=projects/*}/agent:train
    Trains the specified agent.
    updateFulfillment PATCH /v2beta1/{fulfillment.name=projects/*/agent/fulfillment}
    Updates the fulfillment.

    REST Resource: v2beta1.projects.agent.entityTypes

    Methods
    batchDelete POST /v2beta1/{parent=projects/*/agent}/entityTypes:batchDelete
    Deletes entity types in the specified agent.
    batchUpdate POST /v2beta1/{parent=projects/*/agent}/entityTypes:batchUpdate
    Updates/Creates multiple entity types in the specified agent.
    create POST /v2beta1/{parent=projects/*/agent}/entityTypes
    Creates an entity type in the specified agent.
    delete DELETE /v2beta1/{name=projects/*/agent/entityTypes/*}
    Deletes the specified entity type.
    get GET /v2beta1/{name=projects/*/agent/entityTypes/*}
    Retrieves the specified entity type.
    list GET /v2beta1/{parent=projects/*/agent}/entityTypes
    Returns the list of all entity types in the specified agent.
    patch PATCH /v2beta1/{entityType.name=projects/*/agent/entityTypes/*}
    Updates the specified entity type.

    REST Resource: v2beta1.projects.agent.entityTypes.entities

    Methods
    batchCreate POST /v2beta1/{parent=projects/*/agent/entityTypes/*}/entities:batchCreate
    Creates multiple new entities in the specified entity type.
    batchDelete POST /v2beta1/{parent=projects/*/agent/entityTypes/*}/entities:batchDelete
    Deletes entities in the specified entity type.
    batchUpdate POST /v2beta1/{parent=projects/*/agent/entityTypes/*}/entities:batchUpdate
    Updates or creates multiple entities in the specified entity type.

    REST Resource: v2beta1.projects.agent.environments

    Methods
    create POST /v2beta1/{parent=projects/*/agent}/environments
    Creates an agent environment.
    delete DELETE /v2beta1/{name=projects/*/agent/environments/*}
    Deletes the specified agent environment.
    get GET /v2beta1/{name=projects/*/agent/environments/*}
    Retrieves the specified agent environment.
    getHistory GET /v2beta1/{parent=projects/*/agent/environments/*}/history
    Gets the history of the specified environment.
    list GET /v2beta1/{parent=projects/*/agent}/environments
    Returns the list of all non-draft environments of the specified agent.
    patch PATCH /v2beta1/{environment.name=projects/*/agent/environments/*}
    Updates the specified agent environment.

    REST Resource: v2beta1.projects.agent.environments.intents

    Methods
    list GET /v2beta1/{parent=projects/*/agent/environments/*}/intents
    Returns the list of all intents in the specified agent.

    REST Resource: v2beta1.projects.agent.environments.users.sessions

    Methods
    deleteContexts DELETE /v2beta1/{parent=projects/*/agent/environments/*/users/*/sessions/*}/contexts
    Deletes all active contexts in the specified session.
    detectIntent POST /v2beta1/{session=projects/*/agent/environments/*/users/*/sessions/*}:detectIntent
    Processes a natural language query and returns structured, actionable data as a result.

    REST Resource: v2beta1.projects.agent.environments.users.sessions.contexts

    Methods
    create POST /v2beta1/{parent=projects/*/agent/environments/*/users/*/sessions/*}/contexts
    Creates a context.
    delete DELETE /v2beta1/{name=projects/*/agent/environments/*/users/*/sessions/*/contexts/*}
    Deletes the specified context.
    get GET /v2beta1/{name=projects/*/agent/environments/*/users/*/sessions/*/contexts/*}
    Retrieves the specified context.
    list GET /v2beta1/{parent=projects/*/agent/environments/*/users/*/sessions/*}/contexts
    Returns the list of all contexts in the specified session.
    patch PATCH /v2beta1/{context.name=projects/*/agent/environments/*/users/*/sessions/*/contexts/*}
    Updates the specified context.

    REST Resource: v2beta1.projects.agent.environments.users.sessions.entityTypes

    Methods
    create POST /v2beta1/{parent=projects/*/agent/environments/*/users/*/sessions/*}/entityTypes
    Creates a session entity type.
    delete DELETE /v2beta1/{name=projects/*/agent/environments/*/users/*/sessions/*/entityTypes/*}
    Deletes the specified session entity type.
    get GET /v2beta1/{name=projects/*/agent/environments/*/users/*/sessions/*/entityTypes/*}
    Retrieves the specified session entity type.
    list GET /v2beta1/{parent=projects/*/agent/environments/*/users/*/sessions/*}/entityTypes
    Returns the list of all session entity types in the specified session.
    patch PATCH /v2beta1/{sessionEntityType.name=projects/*/agent/environments/*/users/*/sessions/*/entityTypes/*}
    Updates the specified session entity type.

    REST Resource: v2beta1.projects.agent.intents

    Methods
    batchDelete POST /v2beta1/{parent=projects/*/agent}/intents:batchDelete
    Deletes intents in the specified agent.
    batchUpdate POST /v2beta1/{parent=projects/*/agent}/intents:batchUpdate
    Updates/Creates multiple intents in the specified agent.
    create POST /v2beta1/{parent=projects/*/agent}/intents
    Creates an intent in the specified agent.
    delete DELETE /v2beta1/{name=projects/*/agent/intents/*}
    Deletes the specified intent and its direct or indirect followup intents.
    get GET /v2beta1/{name=projects/*/agent/intents/*}
    Retrieves the specified intent.
    list GET /v2beta1/{parent=projects/*/agent}/intents
    Returns the list of all intents in the specified agent.
    patch PATCH /v2beta1/{intent.name=projects/*/agent/intents/*}
    Updates the specified intent.

    REST Resource: v2beta1.projects.agent.knowledgeBases

    Methods
    create POST /v2beta1/{parent=projects/*/agent}/knowledgeBases
    Creates a knowledge base.
    delete DELETE /v2beta1/{name=projects/*/agent/knowledgeBases/*}
    Deletes the specified knowledge base.
    get GET /v2beta1/{name=projects/*/agent/knowledgeBases/*}
    Retrieves the specified knowledge base.
    list GET /v2beta1/{parent=projects/*/agent}/knowledgeBases
    Returns the list of all knowledge bases of the specified agent.
    patch PATCH /v2beta1/{knowledgeBase.name=projects/*/agent/knowledgeBases/*}
    Updates the specified knowledge base.

    REST Resource: v2beta1.projects.agent.knowledgeBases.documents

    Methods
    create POST /v2beta1/{parent=projects/*/agent/knowledgeBases/*}/documents
    Creates a new document.
    delete DELETE /v2beta1/{name=projects/*/agent/knowledgeBases/*/documents/*}
    Deletes the specified document.
    get GET /v2beta1/{name=projects/*/agent/knowledgeBases/*/documents/*}
    Retrieves the specified document.
    list GET /v2beta1/{parent=projects/*/agent/knowledgeBases/*}/documents
    Returns the list of all documents of the knowledge base.
    patch PATCH /v2beta1/{document.name=projects/*/agent/knowledgeBases/*/documents/*}
    Updates the specified document.
    reload POST /v2beta1/{name=projects/*/agent/knowledgeBases/*/documents/*}:reload
    Reloads the specified document from its specified source, content_uri or content.

    REST Resource: v2beta1.projects.agent.sessions

    Methods
    deleteContexts DELETE /v2beta1/{parent=projects/*/agent/sessions/*}/contexts
    Deletes all active contexts in the specified session.
    detectIntent POST /v2beta1/{session=projects/*/agent/sessions/*}:detectIntent
    Processes a natural language query and returns structured, actionable data as a result.

    REST Resource: v2beta1.projects.agent.sessions.contexts

    Methods
    create POST /v2beta1/{parent=projects/*/agent/sessions/*}/contexts
    Creates a context.
    delete DELETE /v2beta1/{name=projects/*/agent/sessions/*/contexts/*}
    Deletes the specified context.
    get GET /v2beta1/{name=projects/*/agent/sessions/*/contexts/*}
    Retrieves the specified context.
    list GET /v2beta1/{parent=projects/*/agent/sessions/*}/contexts
    Returns the list of all contexts in the specified session.
    patch PATCH /v2beta1/{context.name=projects/*/agent/sessions/*/contexts/*}
    Updates the specified context.

    REST Resource: v2beta1.projects.agent.sessions.entityTypes

    Methods
    create POST /v2beta1/{parent=projects/*/agent/sessions/*}/entityTypes
    Creates a session entity type.
    delete DELETE /v2beta1/{name=projects/*/agent/sessions/*/entityTypes/*}
    Deletes the specified session entity type.
    get GET /v2beta1/{name=projects/*/agent/sessions/*/entityTypes/*}
    Retrieves the specified session entity type.
    list GET /v2beta1/{parent=projects/*/agent/sessions/*}/entityTypes
    Returns the list of all session entity types in the specified session.
    patch PATCH /v2beta1/{sessionEntityType.name=projects/*/agent/sessions/*/entityTypes/*}
    Updates the specified session entity type.

    REST Resource: v2beta1.projects.agent.versions

    Methods
    create POST /v2beta1/{parent=projects/*/agent}/versions
    Creates an agent version.
    delete DELETE /v2beta1/{name=projects/*/agent/versions/*}
    Delete the specified agent version.
    get GET /v2beta1/{name=projects/*/agent/versions/*}
    Retrieves the specified agent version.
    list GET /v2beta1/{parent=projects/*/agent}/versions
    Returns the list of all versions of the specified agent.
    patch PATCH /v2beta1/{version.name=projects/*/agent/versions/*}
    Updates the specified agent version.

    REST Resource: v2beta1.projects.answerRecords

    Methods
    get
    (deprecated)
    GET /v2beta1/{name=projects/*/answerRecords/*}
    Deprecated.
    list GET /v2beta1/{parent=projects/*}/answerRecords
    Returns the list of all answer records in the specified project in reverse chronological order.
    patch PATCH /v2beta1/{answerRecord.name=projects/*/answerRecords/*}
    Updates the specified answer record.

    REST Resource: v2beta1.projects.conversationProfiles

    Methods
    clearSuggestionFeatureConfig POST /v2beta1/{conversationProfile=projects/*/conversationProfiles/*}:clearSuggestionFeatureConfig
    Clears a suggestion feature from a conversation profile for the given participant role.
    create POST /v2beta1/{parent=projects/*}/conversationProfiles
    Creates a conversation profile in the specified project.
    delete DELETE /v2beta1/{name=projects/*/conversationProfiles/*}
    Deletes the specified conversation profile.
    get GET /v2beta1/{name=projects/*/conversationProfiles/*}
    Retrieves the specified conversation profile.
    list GET /v2beta1/{parent=projects/*}/conversationProfiles
    Returns the list of all conversation profiles in the specified project.
    patch PATCH /v2beta1/{conversationProfile.name=projects/*/conversationProfiles/*}
    Updates the specified conversation profile.
    setSuggestionFeatureConfig POST /v2beta1/{conversationProfile=projects/*/conversationProfiles/*}:setSuggestionFeatureConfig
    Adds or updates a suggestion feature in a conversation profile.

    REST Resource: v2beta1.projects.conversations

    Methods
    complete POST /v2beta1/{name=projects/*/conversations/*}:complete
    Completes the specified conversation.
    create POST /v2beta1/{parent=projects/*}/conversations
    Creates a new conversation.
    get GET /v2beta1/{name=projects/*/conversations/*}
    Retrieves the specific conversation.
    list GET /v2beta1/{parent=projects/*}/conversations
    Returns the list of all conversations in the specified project.

    REST Resource: v2beta1.projects.conversations.messages

    Methods
    batchCreate POST /v2beta1/{parent=projects/*/conversations/*}/messages:batchCreate
    Batch ingests messages to conversation.
    list GET /v2beta1/{parent=projects/*/conversations/*}/messages
    Lists messages that belong to a given conversation.

    REST Resource: v2beta1.projects.conversations.participants

    Methods
    analyzeContent POST /v2beta1/{participant=projects/*/conversations/*/participants/*}:analyzeContent
    Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation.
    create POST /v2beta1/{parent=projects/*/conversations/*}/participants
    Creates a new participant in a conversation.
    get GET /v2beta1/{name=projects/*/conversations/*/participants/*}
    Retrieves a conversation participant.
    list GET /v2beta1/{parent=projects/*/conversations/*}/participants
    Returns the list of all participants in the specified conversation.
    patch PATCH /v2beta1/{participant.name=projects/*/conversations/*/participants/*}
    Updates the specified participant.

    REST Resource: v2beta1.projects.conversations.participants.suggestions

    Methods
    compile
    (deprecated)
    POST /v2beta1/{parent=projects/*/conversations/*/participants/*}/suggestions:compile
    Deprecated.
    list
    (deprecated)
    GET /v2beta1/{parent=projects/*/conversations/*/participants/*}/suggestions
    Deprecated: Use inline suggestion, event based suggestion or Suggestion* API instead.
    suggestArticles POST /v2beta1/{parent=projects/*/conversations/*/participants/*}/suggestions:suggestArticles
    Gets suggested articles for a participant based on specific historical messages.
    suggestFaqAnswers POST /v2beta1/{parent=projects/*/conversations/*/participants/*}/suggestions:suggestFaqAnswers
    Gets suggested faq answers for a participant based on specific historical messages.
    suggestKnowledgeAssist POST /v2beta1/{parent=projects/*/conversations/*/participants/*}/suggestions:suggestKnowledgeAssist
    Gets knowledge assist suggestions based on historical messages.
    suggestSmartReplies POST /v2beta1/{parent=projects/*/conversations/*/participants/*}/suggestions:suggestSmartReplies
    Gets smart replies for a participant based on specific historical messages.

    REST Resource: v2beta1.projects.conversations.suggestions

    Methods
    generate POST /v2beta1/{conversation=projects/*/conversations/*}/suggestions:generate
    Generates all the suggestions using generators configured in the conversation profile.
    searchKnowledge POST /v2beta1/{conversation=projects/*/conversations/*}/suggestions:searchKnowledge
    Get answers for the given query based on knowledge documents.
    suggestConversationSummary POST /v2beta1/{conversation=projects/*/conversations/*}/suggestions:suggestConversationSummary
    Suggest summary for a conversation based on specific historical messages.

    REST Resource: v2beta1.projects.generators

    Methods
    create POST /v2beta1/{parent=projects/*}/generators
    Creates a generator.
    list GET /v2beta1/{parent=projects/*}/generators
    Lists generators.

    REST Resource: v2beta1.projects.knowledgeBases

    Methods
    create POST /v2beta1/{parent=projects/*}/knowledgeBases
    Creates a knowledge base.
    delete DELETE /v2beta1/{name=projects/*/knowledgeBases/*}
    Deletes the specified knowledge base.
    get GET /v2beta1/{name=projects/*/knowledgeBases/*}
    Retrieves the specified knowledge base.
    list GET /v2beta1/{parent=projects/*}/knowledgeBases
    Returns the list of all knowledge bases of the specified agent.
    patch PATCH /v2beta1/{knowledgeBase.name=projects/*/knowledgeBases/*}
    Updates the specified knowledge base.

    REST Resource: v2beta1.projects.knowledgeBases.documents

    Methods
    create POST /v2beta1/{parent=projects/*/knowledgeBases/*}/documents
    Creates a new document.
    delete DELETE /v2beta1/{name=projects/*/knowledgeBases/*/documents/*}
    Deletes the specified document.
    get GET /v2beta1/{name=projects/*/knowledgeBases/*/documents/*}
    Retrieves the specified document.
    import POST /v2beta1/{parent=projects/*/knowledgeBases/*}/documents:import
    Create documents by importing data from external sources.
    list GET /v2beta1/{parent=projects/*/knowledgeBases/*}/documents
    Returns the list of all documents of the knowledge base.
    patch PATCH /v2beta1/{document.name=projects/*/knowledgeBases/*/documents/*}
    Updates the specified document.
    reload POST /v2beta1/{name=projects/*/knowledgeBases/*/documents/*}:reload
    Reloads the specified document from its specified source, content_uri or content.

    REST Resource: v2beta1.projects.locations

    Methods
    deleteAgent DELETE /v2beta1/{parent=projects/*/locations/*}/agent
    Deletes the specified agent.
    get GET /v2beta1/{name=projects/*/locations/*}
    Gets information about a location.
    getAgent GET /v2beta1/{parent=projects/*/locations/*}/agent
    Retrieves the specified agent.
    getEncryptionSpec GET /v2beta1/{name=projects/*/locations/*/encryptionSpec}
    Gets location-level encryption key specification.
    list GET /v2beta1/{name=projects/*}/locations
    Lists information about the supported locations for this service.
    setAgent POST /v2beta1/{agent.parent=projects/*/locations/*}/agent
    Creates/updates the specified agent.

    REST Resource: v2beta1.projects.locations.agent

    Methods
    export POST /v2beta1/{parent=projects/*/locations/*}/agent:export
    Exports the specified agent to a ZIP file.
    getFulfillment GET /v2beta1/{name=projects/*/locations/*/agent/fulfillment}
    Retrieves the fulfillment.
    getValidationResult GET /v2beta1/{parent=projects/*/locations/*}/agent/validationResult
    Gets agent validation result.
    import POST /v2beta1/{parent=projects/*/locations/*}/agent:import
    Imports the specified agent from a ZIP file.
    restore POST /v2beta1/{parent=projects/*/locations/*}/agent:restore
    Restores the specified agent from a ZIP file.
    search GET /v2beta1/{parent=projects/*/locations/*}/agent:search
    Returns the list of agents.
    train POST /v2beta1/{parent=projects/*/locations/*}/agent:train
    Trains the specified agent.
    updateFulfillment PATCH /v2beta1/{fulfillment.name=projects/*/locations/*/agent/fulfillment}
    Updates the fulfillment.

    REST Resource: v2beta1.projects.locations.agent.entityTypes

    Methods
    batchDelete POST /v2beta1/{parent=projects/*/locations/*/agent}/entityTypes:batchDelete
    Deletes entity types in the specified agent.
    batchUpdate POST /v2beta1/{parent=projects/*/locations/*/agent}/entityTypes:batchUpdate
    Updates/Creates multiple entity types in the specified agent.
    create POST /v2beta1/{parent=projects/*/locations/*/agent}/entityTypes
    Creates an entity type in the specified agent.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/entityTypes/*}
    Deletes the specified entity type.
    get GET /v2beta1/{name=projects/*/locations/*/agent/entityTypes/*}
    Retrieves the specified entity type.
    list GET /v2beta1/{parent=projects/*/locations/*/agent}/entityTypes
    Returns the list of all entity types in the specified agent.
    patch PATCH /v2beta1/{entityType.name=projects/*/locations/*/agent/entityTypes/*}
    Updates the specified entity type.

    REST Resource: v2beta1.projects.locations.agent.entityTypes.entities

    Methods
    batchCreate POST /v2beta1/{parent=projects/*/locations/*/agent/entityTypes/*}/entities:batchCreate
    Creates multiple new entities in the specified entity type.
    batchDelete POST /v2beta1/{parent=projects/*/locations/*/agent/entityTypes/*}/entities:batchDelete
    Deletes entities in the specified entity type.
    batchUpdate POST /v2beta1/{parent=projects/*/locations/*/agent/entityTypes/*}/entities:batchUpdate
    Updates or creates multiple entities in the specified entity type.

    REST Resource: v2beta1.projects.locations.agent.environments

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/agent}/environments
    Creates an agent environment.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/environments/*}
    Deletes the specified agent environment.
    get GET /v2beta1/{name=projects/*/locations/*/agent/environments/*}
    Retrieves the specified agent environment.
    getHistory GET /v2beta1/{parent=projects/*/locations/*/agent/environments/*}/history
    Gets the history of the specified environment.
    list GET /v2beta1/{parent=projects/*/locations/*/agent}/environments
    Returns the list of all non-draft environments of the specified agent.
    patch PATCH /v2beta1/{environment.name=projects/*/locations/*/agent/environments/*}
    Updates the specified agent environment.

    REST Resource: v2beta1.projects.locations.agent.environments.intents

    Methods
    list GET /v2beta1/{parent=projects/*/locations/*/agent/environments/*}/intents
    Returns the list of all intents in the specified agent.

    REST Resource: v2beta1.projects.locations.agent.environments.users.sessions

    Methods
    deleteContexts DELETE /v2beta1/{parent=projects/*/locations/*/agent/environments/*/users/*/sessions/*}/contexts
    Deletes all active contexts in the specified session.
    detectIntent POST /v2beta1/{session=projects/*/locations/*/agent/environments/*/users/*/sessions/*}:detectIntent
    Processes a natural language query and returns structured, actionable data as a result.

    REST Resource: v2beta1.projects.locations.agent.environments.users.sessions.contexts

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/agent/environments/*/users/*/sessions/*}/contexts
    Creates a context.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/contexts/*}
    Deletes the specified context.
    get GET /v2beta1/{name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/contexts/*}
    Retrieves the specified context.
    list GET /v2beta1/{parent=projects/*/locations/*/agent/environments/*/users/*/sessions/*}/contexts
    Returns the list of all contexts in the specified session.
    patch PATCH /v2beta1/{context.name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/contexts/*}
    Updates the specified context.

    REST Resource: v2beta1.projects.locations.agent.environments.users.sessions.entityTypes

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/agent/environments/*/users/*/sessions/*}/entityTypes
    Creates a session entity type.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/entityTypes/*}
    Deletes the specified session entity type.
    get GET /v2beta1/{name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/entityTypes/*}
    Retrieves the specified session entity type.
    list GET /v2beta1/{parent=projects/*/locations/*/agent/environments/*/users/*/sessions/*}/entityTypes
    Returns the list of all session entity types in the specified session.
    patch PATCH /v2beta1/{sessionEntityType.name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/entityTypes/*}
    Updates the specified session entity type.

    REST Resource: v2beta1.projects.locations.agent.intents

    Methods
    batchDelete POST /v2beta1/{parent=projects/*/locations/*/agent}/intents:batchDelete
    Deletes intents in the specified agent.
    batchUpdate POST /v2beta1/{parent=projects/*/locations/*/agent}/intents:batchUpdate
    Updates/Creates multiple intents in the specified agent.
    create POST /v2beta1/{parent=projects/*/locations/*/agent}/intents
    Creates an intent in the specified agent.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/intents/*}
    Deletes the specified intent and its direct or indirect followup intents.
    get GET /v2beta1/{name=projects/*/locations/*/agent/intents/*}
    Retrieves the specified intent.
    list GET /v2beta1/{parent=projects/*/locations/*/agent}/intents
    Returns the list of all intents in the specified agent.
    patch PATCH /v2beta1/{intent.name=projects/*/locations/*/agent/intents/*}
    Updates the specified intent.

    REST Resource: v2beta1.projects.locations.agent.sessions

    Methods
    deleteContexts DELETE /v2beta1/{parent=projects/*/locations/*/agent/sessions/*}/contexts
    Deletes all active contexts in the specified session.
    detectIntent POST /v2beta1/{session=projects/*/locations/*/agent/sessions/*}:detectIntent
    Processes a natural language query and returns structured, actionable data as a result.

    REST Resource: v2beta1.projects.locations.agent.sessions.contexts

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/agent/sessions/*}/contexts
    Creates a context.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/sessions/*/contexts/*}
    Deletes the specified context.
    get GET /v2beta1/{name=projects/*/locations/*/agent/sessions/*/contexts/*}
    Retrieves the specified context.
    list GET /v2beta1/{parent=projects/*/locations/*/agent/sessions/*}/contexts
    Returns the list of all contexts in the specified session.
    patch PATCH /v2beta1/{context.name=projects/*/locations/*/agent/sessions/*/contexts/*}
    Updates the specified context.

    REST Resource: v2beta1.projects.locations.agent.sessions.entityTypes

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/agent/sessions/*}/entityTypes
    Creates a session entity type.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/sessions/*/entityTypes/*}
    Deletes the specified session entity type.
    get GET /v2beta1/{name=projects/*/locations/*/agent/sessions/*/entityTypes/*}
    Retrieves the specified session entity type.
    list GET /v2beta1/{parent=projects/*/locations/*/agent/sessions/*}/entityTypes
    Returns the list of all session entity types in the specified session.
    patch PATCH /v2beta1/{sessionEntityType.name=projects/*/locations/*/agent/sessions/*/entityTypes/*}
    Updates the specified session entity type.

    REST Resource: v2beta1.projects.locations.agent.versions

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/agent}/versions
    Creates an agent version.
    delete DELETE /v2beta1/{name=projects/*/locations/*/agent/versions/*}
    Delete the specified agent version.
    get GET /v2beta1/{name=projects/*/locations/*/agent/versions/*}
    Retrieves the specified agent version.
    list GET /v2beta1/{parent=projects/*/locations/*/agent}/versions
    Returns the list of all versions of the specified agent.
    patch PATCH /v2beta1/{version.name=projects/*/locations/*/agent/versions/*}
    Updates the specified agent version.

    REST Resource: v2beta1.projects.locations.answerRecords

    Methods
    get
    (deprecated)
    GET /v2beta1/{name=projects/*/locations/*/answerRecords/*}
    Deprecated.
    list GET /v2beta1/{parent=projects/*/locations/*}/answerRecords
    Returns the list of all answer records in the specified project in reverse chronological order.
    patch PATCH /v2beta1/{answerRecord.name=projects/*/locations/*/answerRecords/*}
    Updates the specified answer record.

    REST Resource: v2beta1.projects.locations.companionAgents

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*}/companionAgents
    Creates a companion agent.
    delete DELETE /v2beta1/{name=projects/*/locations/*/companionAgents/*}
    Deletes a companion agent.
    get GET /v2beta1/{name=projects/*/locations/*/companionAgents/*}
    Gets a companion agent.
    list GET /v2beta1/{parent=projects/*/locations/*}/companionAgents
    Lists companion agents.
    patch PATCH /v2beta1/{companionAgent.name=projects/*/locations/*/companionAgents/*}
    Updates a companion agent.

    REST Resource: v2beta1.projects.locations.conversationProfiles

    Methods
    clearSuggestionFeatureConfig POST /v2beta1/{conversationProfile=projects/*/locations/*/conversationProfiles/*}:clearSuggestionFeatureConfig
    Clears a suggestion feature from a conversation profile for the given participant role.
    create POST /v2beta1/{parent=projects/*/locations/*}/conversationProfiles
    Creates a conversation profile in the specified project.
    delete DELETE /v2beta1/{name=projects/*/locations/*/conversationProfiles/*}
    Deletes the specified conversation profile.
    get GET /v2beta1/{name=projects/*/locations/*/conversationProfiles/*}
    Retrieves the specified conversation profile.
    list GET /v2beta1/{parent=projects/*/locations/*}/conversationProfiles
    Returns the list of all conversation profiles in the specified project.
    patch PATCH /v2beta1/{conversationProfile.name=projects/*/locations/*/conversationProfiles/*}
    Updates the specified conversation profile.
    setSuggestionFeatureConfig POST /v2beta1/{conversationProfile=projects/*/locations/*/conversationProfiles/*}:setSuggestionFeatureConfig
    Adds or updates a suggestion feature in a conversation profile.

    REST Resource: v2beta1.projects.locations.conversations

    Methods
    complete POST /v2beta1/{name=projects/*/locations/*/conversations/*}:complete
    Completes the specified conversation.
    create POST /v2beta1/{parent=projects/*/locations/*}/conversations
    Creates a new conversation.
    get GET /v2beta1/{name=projects/*/locations/*/conversations/*}
    Retrieves the specific conversation.
    ingestContextReferences POST /v2beta1/{conversation=projects/*/locations/*/conversations/*}:ingestContextReferences
    Data ingestion API.
    list GET /v2beta1/{parent=projects/*/locations/*}/conversations
    Returns the list of all conversations in the specified project.

    REST Resource: v2beta1.projects.locations.conversations.messages

    Methods
    batchCreate POST /v2beta1/{parent=projects/*/locations/*/conversations/*}/messages:batchCreate
    Batch ingests messages to conversation.
    list GET /v2beta1/{parent=projects/*/locations/*/conversations/*}/messages
    Lists messages that belong to a given conversation.

    REST Resource: v2beta1.projects.locations.conversations.participants

    Methods
    analyzeContent POST /v2beta1/{participant=projects/*/locations/*/conversations/*/participants/*}:analyzeContent
    Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation.
    create POST /v2beta1/{parent=projects/*/locations/*/conversations/*}/participants
    Creates a new participant in a conversation.
    get GET /v2beta1/{name=projects/*/locations/*/conversations/*/participants/*}
    Retrieves a conversation participant.
    list GET /v2beta1/{parent=projects/*/locations/*/conversations/*}/participants
    Returns the list of all participants in the specified conversation.
    patch PATCH /v2beta1/{participant.name=projects/*/locations/*/conversations/*/participants/*}
    Updates the specified participant.

    REST Resource: v2beta1.projects.locations.conversations.participants.suggestions

    Methods
    suggestArticles POST /v2beta1/{parent=projects/*/locations/*/conversations/*/participants/*}/suggestions:suggestArticles
    Gets suggested articles for a participant based on specific historical messages.
    suggestFaqAnswers POST /v2beta1/{parent=projects/*/locations/*/conversations/*/participants/*}/suggestions:suggestFaqAnswers
    Gets suggested faq answers for a participant based on specific historical messages.
    suggestKnowledgeAssist POST /v2beta1/{parent=projects/*/locations/*/conversations/*/participants/*}/suggestions:suggestKnowledgeAssist
    Gets knowledge assist suggestions based on historical messages.
    suggestSmartReplies POST /v2beta1/{parent=projects/*/locations/*/conversations/*/participants/*}/suggestions:suggestSmartReplies
    Gets smart replies for a participant based on specific historical messages.

    REST Resource: v2beta1.projects.locations.conversations.suggestions

    Methods
    generate POST /v2beta1/{conversation=projects/*/locations/*/conversations/*}/suggestions:generate
    Generates all the suggestions using generators configured in the conversation profile.
    searchKnowledge POST /v2beta1/{conversation=projects/*/locations/*/conversations/*}/suggestions:searchKnowledge
    Get answers for the given query based on knowledge documents.
    suggestConversationSummary POST /v2beta1/{conversation=projects/*/locations/*/conversations/*}/suggestions:suggestConversationSummary
    Suggest summary for a conversation based on specific historical messages.

    REST Resource: v2beta1.projects.locations.encryptionSpec

    Methods
    initialize POST /v2beta1/{encryptionSpec.name=projects/*/locations/*/encryptionSpec}:initialize
    Initializes a location-level encryption key specification.

    REST Resource: v2beta1.projects.locations.generators

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*}/generators
    Creates a generator.
    delete DELETE /v2beta1/{name=projects/*/locations/*/generators/*}
    Deletes a generator.
    get GET /v2beta1/{name=projects/*/locations/*/generators/*}
    Retrieves a generator.
    list GET /v2beta1/{parent=projects/*/locations/*}/generators
    Lists generators.
    patch PATCH /v2beta1/{generator.name=projects/*/locations/*/generators/*}
    Updates a generator.

    REST Resource: v2beta1.projects.locations.generators.evaluations

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/generators/*}/evaluations
    Creates evaluation of a generator.
    delete DELETE /v2beta1/{name=projects/*/locations/*/generators/*/evaluations/*}
    Deletes an evaluation of generator.
    get GET /v2beta1/{name=projects/*/locations/*/generators/*/evaluations/*}
    Gets an evaluation of generator.
    list GET /v2beta1/{parent=projects/*/locations/*/generators/*}/evaluations
    Lists evaluations of generator.

    REST Resource: v2beta1.projects.locations.knowledgeBases

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*}/knowledgeBases
    Creates a knowledge base.
    delete DELETE /v2beta1/{name=projects/*/locations/*/knowledgeBases/*}
    Deletes the specified knowledge base.
    get GET /v2beta1/{name=projects/*/locations/*/knowledgeBases/*}
    Retrieves the specified knowledge base.
    list GET /v2beta1/{parent=projects/*/locations/*}/knowledgeBases
    Returns the list of all knowledge bases of the specified agent.
    patch PATCH /v2beta1/{knowledgeBase.name=projects/*/locations/*/knowledgeBases/*}
    Updates the specified knowledge base.

    REST Resource: v2beta1.projects.locations.knowledgeBases.documents

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*/knowledgeBases/*}/documents
    Creates a new document.
    delete DELETE /v2beta1/{name=projects/*/locations/*/knowledgeBases/*/documents/*}
    Deletes the specified document.
    get GET /v2beta1/{name=projects/*/locations/*/knowledgeBases/*/documents/*}
    Retrieves the specified document.
    import POST /v2beta1/{parent=projects/*/locations/*/knowledgeBases/*}/documents:import
    Create documents by importing data from external sources.
    list GET /v2beta1/{parent=projects/*/locations/*/knowledgeBases/*}/documents
    Returns the list of all documents of the knowledge base.
    patch PATCH /v2beta1/{document.name=projects/*/locations/*/knowledgeBases/*/documents/*}
    Updates the specified document.
    reload POST /v2beta1/{name=projects/*/locations/*/knowledgeBases/*/documents/*}:reload
    Reloads the specified document from its specified source, content_uri or content.

    REST Resource: v2beta1.projects.locations.operations

    Methods
    cancel POST /v2beta1/{name=projects/*/locations/*/operations/*}:cancel
    Starts asynchronous cancellation on a long-running operation.
    get GET /v2beta1/{name=projects/*/locations/*/operations/*}
    Gets the latest state of a long-running operation.
    list GET /v2beta1/{name=projects/*/locations/*}/operations
    Lists operations that match the specified filter in the request.

    REST Resource: v2beta1.projects.locations.phoneNumbers

    Methods
    delete DELETE /v2beta1/{name=projects/*/locations/*/phoneNumbers/*}
    Requests deletion of a PhoneNumber.
    list GET /v2beta1/{parent=projects/*/locations/*}/phoneNumbers
    Returns the list of all phone numbers in the specified project.
    patch PATCH /v2beta1/{phoneNumber.name=projects/*/locations/*/phoneNumbers/*}
    Updates the specified PhoneNumber.
    undelete POST /v2beta1/{name=projects/*/locations/*/phoneNumbers/*}:undelete
    Cancels the deletion request for a PhoneNumber.

    REST Resource: v2beta1.projects.locations.sipTrunks

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*}/sipTrunks
    Creates a SipTrunk for a specified location.
    delete DELETE /v2beta1/{name=projects/*/locations/*/sipTrunks/*}
    Deletes a specified SipTrunk.
    get GET /v2beta1/{name=projects/*/locations/*/sipTrunks/*}
    Retrieves the specified SipTrunk.
    list GET /v2beta1/{parent=projects/*/locations/*}/sipTrunks
    Returns a list of SipTrunks in the specified location.
    patch PATCH /v2beta1/{sipTrunk.name=projects/*/locations/*/sipTrunks/*}
    Updates the specified SipTrunk.

    REST Resource: v2beta1.projects.locations.statelessSuggestion

    Methods
    generate POST /v2beta1/{parent=projects/*/locations/*}/statelessSuggestion:generate
    Generates and returns a suggestion for a conversation that does not have a resource created for it.

    REST Resource: v2beta1.projects.locations.suggestions

    Methods
    generateStatelessSummary POST /v2beta1/{statelessConversation.parent=projects/*/locations/*}/suggestions:generateStatelessSummary
    Generates and returns a summary for a conversation that does not have a resource created for it.
    searchKnowledge POST /v2beta1/{parent=projects/*/locations/*}/suggestions:searchKnowledge
    Get answers for the given query based on knowledge documents.

    REST Resource: v2beta1.projects.locations.tools

    Methods
    create POST /v2beta1/{parent=projects/*/locations/*}/tools
    Creates a tool.
    delete DELETE /v2beta1/{name=projects/*/locations/*/tools/*}
    Deletes a tool.
    get GET /v2beta1/{name=projects/*/locations/*/tools/*}
    Retrieves a tool.
    list GET /v2beta1/{parent=projects/*/locations/*}/tools
    Lists tools.
    patch PATCH /v2beta1/{tool.name=projects/*/locations/*/tools/*}
    Updates a tool.

    REST Resource: v2beta1.projects.operations

    Methods
    cancel POST /v2beta1/{name=projects/*/operations/*}:cancel
    Starts asynchronous cancellation on a long-running operation.
    get GET /v2beta1/{name=projects/*/operations/*}
    Gets the latest state of a long-running operation.
    list GET /v2beta1/{name=projects/*}/operations
    Lists operations that match the specified filter in the request.

    REST Resource: v2beta1.projects.phoneNumbers

    Methods
    delete DELETE /v2beta1/{name=projects/*/phoneNumbers/*}
    Requests deletion of a PhoneNumber.
    list GET /v2beta1/{parent=projects/*}/phoneNumbers
    Returns the list of all phone numbers in the specified project.
    patch PATCH /v2beta1/{phoneNumber.name=projects/*/phoneNumbers/*}
    Updates the specified PhoneNumber.
    undelete POST /v2beta1/{name=projects/*/phoneNumbers/*}:undelete
    Cancels the deletion request for a PhoneNumber.

    REST Resource: v2beta1.projects.suggestions

    Methods
    generateStatelessSummary POST /v2beta1/{statelessConversation.parent=projects/*}/suggestions:generateStatelessSummary
    Generates and returns a summary for a conversation that does not have a resource created for it.
    searchKnowledge POST /v2beta1/{parent=projects/*}/suggestions:searchKnowledge
    Get answers for the given query based on knowledge documents.